<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $guarded = [];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function prefix()
    {
        return $this->belongsTo(Prefix::class);
    }

    public function position()
    {
        return $this->belongsTo(Position::class);
    }

    public function sector()
    {
        return $this->belongsTo(Sector::class);
    }

    public function extension()
    {
        return $this->belongsTo(Extension::class);
    }

    public function getImgPathAttribute()
    {
        return $this->image != null ? url('storage/employees/'.$this->image) :  url('assets/img/user_default.png');
    }
}
